質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.20%

centosへのPEARインストールのエラーについて

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 2,798

ym_128

score 13

 前提・実現したいこと

Pear:Mailを利用したく、まずPEARのインストールを行いました。
「yum -y install php-pear」実行時にエラーが表示されましたが、インストール完了となりました。
その後「pear list」で確認するとインストール時と同じエラーが出てます。
Pearパッケージのインストールもできませんでした。

 発生している問題・エラーメッセージ

# pear list
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR

 該当のソースコード

インストール  1 パッケージ

総ダウンロード容量: 357 k
インストール容量: 2.2 M
Downloading packages:
php-pear-1.9.4-21.el7.noarch.rpm
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  インストール中          : 1:php-pear-1.9.4-21.el7.noarch
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /usr/share/pear/PEAR
  検証中                  : 1:php-pear-1.9.4-21.el7.noarch

インストール:
  php-pear.noarch 1:1.9.4-21.el7

完了しました!

 試したこと

一度removeして再インストールしましたが、同じエラーが発生しました。

 補足情報(FW/ツールのバージョンなど)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • m6u

    2018/09/10 13:14 編集

    phpの導入にremiリポジトリを使うと思うんだけど、どのバージョンを使ってますか? また、CentOSは6系ですか7系ですか?

    キャンセル

回答 2

checkベストアンサー

+1

CentOS6/CentOS7にPHP5.6/PHP7をyumでインストール - Qiita
がよくまとまっているので、ご参考にどうぞ。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/10 13:30 編集

    確認したところ、以下のようになっていました。
    epel-release.noarch 7-11
    remi-release.noarch 7.5-2.el7.remi
    PHPは7.0、CentOS7です。

    キャンセル

  • 2018/09/10 14:07

    php-pearとphp本体、
    どっちのリポジトリから入っているか、
    確認できますか?
    yum list installed | grep php
    とかで見られるかも?

    キャンセル

  • 2018/09/10 14:24

    # yum list installed | grep php
    php.x86_64 7.0.25-1.el7.remi @remi-php70
    php-cli.x86_64 7.0.25-1.el7.remi @remi-php70
    php-common.x86_64 7.0.25-1.el7.remi @remi-php70
    php-devel.x86_64 7.0.25-1.el7.remi @remi-php70
    php-gd.x86_64 7.0.25-1.el7.remi @remi-php70
    php-intl.x86_64 7.0.25-1.el7.remi @remi-php70
    php-json.x86_64 7.0.25-1.el7.remi @remi-php70
    php-ldap.x86_64 7.0.25-1.el7.remi @remi-php70
    php-mbstring.x86_64 7.0.25-1.el7.remi @remi-php70
    php-mcrypt.x86_64 7.0.25-1.el7.remi @remi-php70
    php-mysqlnd.x86_64 7.0.25-1.el7.remi @remi-php70
    php-pdo.x86_64 7.0.25-1.el7.remi @remi-php70
    php-pear.noarch 1:1.9.4-21.el7 @base
    php-pecl-zip.x86_64 1.15.1-1.el7.remi.7.0 @remi-php70
    php-process.x86_64 7.0.25-1.el7.remi @remi-php70
    php-xml.x86_64 7.0.25-1.el7.remi @remi-php70
    php70-php-cli.x86_64 7.0.30-1.el7.remi @remi-safe
    php70-php-common.x86_64 7.0.30-1.el7.remi @remi-safe
    php70-php-json.x86_64 7.0.30-1.el7.remi @remi-safe
    php70-runtime.x86_64 1.0-5.el7.remi @remi-safe

    Pearのみ@baseとなっているのが気になるのですが、何をどうすればよいのか・・・

    キャンセル

  • 2018/09/10 14:33

    m6uさんの質問を参考に、 yum --enablerepo=remi install -y php-pear に変更したら
    エラーも出ず無事インストールできました!
    ありがとうございました。

    キャンセル

+1

本題ではありませんが、PEARから入れたいライブラリは何でしょうか。

PEARはもはや「最低限維持されているだけ」の状況であり、そこで動くライブラリも、近年の PHP 7.xに対応していないことが推測されます。Composerなどで入れられるものであれば、そちらに切り替えましょう。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/10 14:42

    利用したいのはPear:Mailのみでした。
    Pear本体を入れなくてもライブラリのみ入れる手段があるいうのは思いつきませんでした。
    今回はPEARインストールできましたのでこちらで実施するつもりですが、Composerについても学習して見ます。
    ありがとうございました。

    キャンセル

  • 2018/09/10 15:18

    Pear::Mailはまだプロジェクトも続いていて、Composerにも来ていました。

    https://packagist.org/packages/pear/mail

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.20%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る